//+------------------------------------------------------------------+
//|                                                    _saveData.mq4 |
//|                                                           mladen |
//+------------------------------------------------------------------+
#property copyright "mladen"
#property link      "www.forex-tsd.com"
#property indicator_chart_window

extern int saveEveryMinutes = 15;

//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
//
//
//
//
//

int init()   { EventSetTimer(saveEveryMinutes*60); return(0); }
int deinit() { EventKillTimer(); Comment("");      return(0); }
int start()  {                                     return(0); }
void OnTimer() { saveData();}

//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
//
//
//
//
//

void saveData()
{
   int handle = FileOpen(Symbol()+" "+_Period+".csv",FILE_WRITE|FILE_CSV,";");
   if (handle>-1)
   {
      for (int i = Bars-1; i>=0; i--)
         FileWriteString(handle,TimeToStr(Time[i],TIME_DATE|TIME_MINUTES)+";"+
                                DoubleToStr(Open[i] ,Digits)             +";"+
                                DoubleToStr(Close[i],Digits)             +";"+
                                DoubleToStr(High[i] ,Digits)             +";"+
                                DoubleToStr(Low[i]  ,Digits)             +";\n");
      FileClose(handle);   
      Comment("data exported to : "+Symbol()+" "+_Period+".csv"+" at "+TimeToStr(TimeLocal(),TIME_DATE|TIME_SECONDS));
   }      
}
